# SourcePath: module-init-tools/20050125dev
Summary: Kernel module management utilities.
Name: sony-target-dev-module-init-tools
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-module-init-tools
Version: 3.1
Release: 08000101
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: ftp://ftp.kernel.org/pub/linux/kernel/people/rusty/modules
Source: module-init-tools-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
The modutils package includes various programs needed for automatic
loading and unloading of modules under 2.2 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.

%package -n %{pkgname}
Summary: Kernel module management utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The modutils package includes various programs needed for automatic
loading and unloading of modules under 2.2 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.


%prep
%setup -q -n module-init-tools-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}

# busybox command conflict
%sony_target_dev_makeinstall \
	sbindir=%{sony_target_dev_sbin_dir}

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/lsmod %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/depmod
%{sony_target_dir}%{sony_target_dev_sbin_dir}/generate-modprobe.conf
%{sony_target_dir}%{sony_target_dev_sbin_dir}/insmod
%{sony_target_dir}%{sony_target_dev_sbin_dir}/insmod.static
%{sony_target_dir}%{sony_target_dev_sbin_dir}/lsmod
%{sony_target_dir}%{sony_target_dev_sbin_dir}/modinfo
%{sony_target_dir}%{sony_target_dev_sbin_dir}/modprobe
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rmmod

%changelog
* Fri Apr 28 2005 Sony Corporation - dev-module-init-tools
- change command path

* Tue Jan 25 2005 Sony Corporation - dev-module-init-tools
- Initial build.
